diff -urN net-scripts-0.4.8/rc.d/init.d/network net-scripts-0.4.8.nohotplug/rc.d/init.d/network
--- net-scripts-0.4.8/rc.d/init.d/network	2003-05-23 14:01:59 +0300
+++ net-scripts-0.4.8.nohotplug/rc.d/init.d/network	2004-06-10 23:52:12 +0300
@@ -119,9 +119,6 @@
 		fi
 	fi
 
-	oldhotplug=`sysctl kernel.hotplug 2>/dev/null| awk '{print $3}' 2>/dev/null`
-	sysctl -w "kernel.hotplug=/bin/true" >/dev/null 2>&1
-
 	ifup_interfaces $interfaces
 	
 	# Fireup VLAN interfaces.
@@ -129,8 +126,6 @@
 	# Otherwise vlans won't work.
 	ifup_interfaces $vlan_interfaces
 
-	sysctl -w "kernel.hotplug=$oldhotplug" >/dev/null 2>&1
-	
 	# Add non interface-specific static-routes.
 	if [ -f /etc/sysconfig/static-routes ]; then
 		local ignore type dest netmask mask bogus args
diff -urN net-scripts-0.4.8/sysconfig/network-scripts/ifdown net-scripts-0.4.8.nohotplug/sysconfig/network-scripts/ifdown
--- net-scripts-0.4.8/sysconfig/network-scripts/ifdown	2004-05-27 23:27:22 +0300
+++ net-scripts-0.4.8.nohotplug/sysconfig/network-scripts/ifdown	2004-06-11 00:14:24 +0300
@@ -32,6 +32,9 @@
 fi
 
 source_config
+if [ "$IN_HOTPLUG" = "1" ]; then                                                                                                             
+	is_yes $USE_HOTPLUG || exit 0                                                                                                      
+fi
 
 . /etc/sysconfig/network-scripts/ifdown-pre $DEVICE
 
diff -urN net-scripts-0.4.8/sysconfig/network-scripts/ifup net-scripts-0.4.8.nohotplug/sysconfig/network-scripts/ifup
--- net-scripts-0.4.8/sysconfig/network-scripts/ifup	2004-05-28 00:02:43 +0300
+++ net-scripts-0.4.8.nohotplug/sysconfig/network-scripts/ifup	2004-06-11 00:14:41 +0300
@@ -38,6 +38,9 @@
 fi
 
 source_config
+if [ "$IN_HOTPLUG" = "1" ]; then
+	is_yes $USE_HOTPLUG || exit 0
+fi
 
 if [ "$2" = boot ] && ! is_yes "$ONBOOT"; then
 	exit 0
